In the previous page, we discussed how to upload a lab results file, and how to get the matched lab marker results. Now we will discuss how to analyze the results.
1. Recap
Referring back to Step 4 of the previous page, here is a part of the sample response:
{
...
"date": "2021-08-10"
"results": [
{
"marker": {
"id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"name": "White Blood Cell Count",
},
"unit": {
"id": "02f16d3d-8f4c-29e7-d92b-0703f7467ac9",
"name": "Thousand/uL",
},
"level": 10,
"discrete_value": null,
},
{
"marker": {
"id": "993955be-5888-6f39-137c-56af8c5187c1",
"name": "Red Blood Cell Count",
},
"unit": {
"id": "8d62d777-8090-c4bd-d6a7-4dbe3e572e0f",
"name": "million/uL",
},
"level": 5,
"discrete_value": null,
},
],
}
For simplicity purposes, we will use only the first result to further build our understanding on marker analysis. Though in reality, a single lab results file may generate a lot many results.
There are two types of markers, numeric and discrete. Note that both the results shown above are numeric results against numeric markers, meaning they are measured with a numeric value (stored in level field) against a numeric unit. Had they been a discrete results, the discrete_value field would have been populated instead.
2. Storing the results against a profile
To analyze the marker results, we need to store them in the SD database. To do so, call the POST /numeric-result API. The API would have to be called individually for each result that we want to store.
Diving deeper, we'll demonstrate how a single API call for one of the results, i.e. White Blood Cell Count looks like:
Request URL: https://qa-selfdecode.com/service/labs/numeric-result/
Request Method: POST
Request body (payload):
{
"profile_id": "978642eb-fe4b-46b4-a5cc-e010e6eb413b",
"taken_at": "2021-08-10",
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"note": "",
"archived": false,
"result_type": "NumericResult",
"synonym": "White Blood Cell Count",
"bmi": null,
"lab_shop_order_id": null,
"is_stale": null,
"is_most_recent": null,
"score": null,
"color": null,
"recommendation_ids": [],
"recommendation_slugs": [],
"value": 10,
"base_value": 0,
"unit_id": "02f16d3d-8f4c-29e7-d92b-0703f7467ac9",
"unit_str": null,
"ranges": null,
"matched_range_id": null
}
In the above sample payload, the fields of concern are:
profile_idwhich represents the profile against which this result is to be storedtaken_atwhich represents the date of the results as read by the OCR.marker_idwhich was received as is in the OCR responsevaluewhich represents the level returned in the OCR responseunit_idwhich was received as is in the OCR response
The sample response would like:
{
"id": "544f02ab-050d-4b36-8abe-e250db1f5cd0",
"profile_id": "978642eb-fe4b-46b4-a5cc-e010e6eb413b",
"lab_shop_order_id": null,
"taken_at": "2021-08-10",
"menstrual_phase": null,
"bmi": null,
"time_of_day": null,
"note": "",
"value": 10,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"archived": false,
"code": null,
"unit_id": "02f16d3d-8f4c-29e7-d92b-0703f7467ac9",
"synonym": "White Blood Cell Count",
"unit_str": "Thousand/uL",
"is_most_recent": false,
"is_stale": false,
"ranges": [
"3e4f596c-ab2d-9f3c-3180-c3e06988b6c2",
"e1faffeb-5514-2256-d714-0c80e85476be",
"1b8bc4c5-8a5a-5118-345e-02416249ba42",
"f36cc247-638e-875e-2fd3-84afb86db428",
"7ef58a5e-3e28-b1ea-f0d9-512b79f57e04",
"26df613b-90d4-724f-8009-805308dd05c1"
],
"matched_range_id": "f36cc247-638e-875e-2fd3-84afb86db428",
"color": "yellow",
"base_value": 10,
"score": 2.2222222222222223,
"recommendation_slugs": [
"optimize-sleep",
"talk-to-your-doctor-about-low-WBC-levels",
"exercise",
"avoid-cigarette-smoke",
"vegetables",
"maintain-healthy-body-weight",
"pay-attention-hygiene"
],
"recommendation_ids": [
"43943338-5b80-402e-ba5b-85c0209efe9c",
"a151915e-4edf-41a6-bb75-6afbc6468118",
"5e03fb9e-c5ea-4a34-9ed5-b0935f73fb86",
"f7e48b01-c1e0-49b3-9524-53d9377964fb",
"b69c7e79-e4a7-44c7-be92-d4fe260a78a4",
"e9d3a39e-042c-4bcc-87a0-70fa464c12aa",
"fbd401a3-447a-4b8b-aeb5-36556a673b07"
]
}
The fields of major concern in the response are:
rangesis a list of range IDs that are present against this marker of concern. These ranges are populated by SD's science team in the backend database.matched_range_idis, as the name suggests, the range in which the value of the lab marker result falls incolorcontains the color attributed to the matched range (for example if it is green, it would imply the value lies in an optimal range, if it is red, it would imply that the the value is either critically low or critically high, or if it is yellow, like in this case, it implies the value lies in sub-optimal range)scorerepresents deviation from normal (for optimal range = 0)recommendation_slugsandrecommendation_idsrepresent the related recommendations for this result. The recommendation details can be accessed using either the slug or the ID. So these fields represent the same recommendation. For example, in light of the above response, the "optimize-sleep" recommendation slug and the "43943338-5b80-402e-ba5b-85c0209efe9c" recommendation ID both correspond to the same recommendation in the backend.
3. Retrieving the lab results against a profile at a later point
After adding the results, you may want to list all the results against a particular profile till date. To do so, call the GET /labs/result endpoint, providing profile_id as the query parameter. In the response, you'll receive the list of results against the provided profile_id, in the same format as the response shown in Step 2.
4. Fetching numeric ranges against markers
The response in Step 2 returns all the range IDs against the markers and the matched range ID based on the value. To get detailed information of all the numeric ranges associated with the marker, call the GET /numeric-range/ endpoint.
Sample request and response for the White Blood Cell Count (WBC) marker is given below.
Request URL: https://qa-selfdecode.com/service/labs/numeric-range/?marker_id=2C48f165d5-7b00-c7f4-781e-f86f5c8cc1ab
Request Method: GET
[
{
"id": "26df613b-90d4-724f-8009-805308dd05c1",
"numeric_range": {
"lower": 40,
"upper": 500,
"bounds": "[]"
},
"titer": false,
"range_category_id": "21cc7cc3-72db-4f96-95ff-e3c010bf0953",
"range_condition_id": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"health_effects_title": "Critical above",
"health_effects_text": "<p>Your white blood cell levels dangerously high! Seek medical attention as soon as possible!</p>",
"suggestions": "",
"recommendations": [],
"tags": []
},
{
"id": "1b8bc4c5-8a5a-5118-345e-02416249ba42",
"numeric_range": {
"lower": 3.8,
"upper": 6,
"bounds": "(]"
},
"titer": false,
"range_category_id": "b87cd77f-d995-4d1d-997f-58780010be0e",
"range_condition_id": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"health_effects_title": "Within optimal",
"health_effects_text": "<p><span style=\" \">Your WBC count is optimal!</span></p><p><br></p><p><span style=\" \">Check the levels of each specific type of WBC to see if they are also within the optimal/normal range.</span></p><p><br></p><p><span style=\" \">Remember, a level in this range doesn't mean you don't have a medical condition. Your doctor will interpret your test, taking into account your medical history and other test results.</span></p>",
"suggestions": "<p>Your results are optimal, you don’t need any recommendations here.</p>",
"recommendations": [],
"tags": []
},
{
"id": "3e4f596c-ab2d-9f3c-3180-c3e06988b6c2",
"numeric_range": {
"lower": 0,
"upper": 2,
"bounds": "[]"
},
"titer": false,
"range_category_id": "8a06bde4-c8aa-4eba-b3d7-0fcb52b228b3",
"range_condition_id": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"health_effects_title": "Critical below",
"health_effects_text": "<p>Your white blood cell levels are dangerously low. Seek medical attention immediately!</p>",
"suggestions": "",
"recommendations": [],
"tags": []
},
{
"id": "f36cc247-638e-875e-2fd3-84afb86db428",
"numeric_range": {
"lower": 6,
"upper": 10.5,
"bounds": "(]"
},
"titer": false,
"range_category_id": "5a2fe42a-e554-4f26-8c89-2034bd95bac9",
"range_condition_id": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"health_effects_title": "Normal above",
"health_effects_text": "<p><span style=\" \">Your white blood cell levels are within the normal range, but they are higher than optimal.</span></p><p><br></p><p><span style=\" \">These can increase your WBC count:</span></p><ul><li><span style=\" \">Physical and emotional stress [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Strenuous exercise [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC317276/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3905589/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Smoking [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/4070192\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Sleep deprivation [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/18597046\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/17485874\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Bacterial, viral, and other infections [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">] </span></li><li><span style=\" \">Chronic Inflammation [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/19078065\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3245880/\" target=\"_blank\" style=\" \">R</a><span style=\" \">] </span></li><li><span style=\" \">Allergies and asthma [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/13007418\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Drugs, such as corticosteroids, lithium, and bronchodilators (beta agonists) [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Some hereditary disorders, such as sickle cell disease [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11399640\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li></ul><p><br></p><p><span style=\" \">Higher WBC count is associated with less than optimal health [</span><a href=\"http://www.sciencedirect.com/science/article/pii/S0735109707006870\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"http://www.ncbi.nlm.nih.gov/pubmed/17384446\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"http://diabetes.diabetesjournals.org/content/51/2/455\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Pregnant women normally have slightly higher white blood cell counts [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3422383/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p>",
"suggestions": "<p><span style=\" \">Work with your doctor to address any underlying conditions, such as infections or inflammation. Discuss additional lifestyle changes listed below with your doctor. None of these strategies should ever be done in place of what your doctor recommends or prescribes!</span></p><p><br></p><p><span style=\" \">Although strenuous exercise can increase WBC count in the short run, being physically active and getting more regular exercise (especially aerobic exercise) can help bring your WBC levels back down to a healthier range [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3281960/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Find ways to effectively cope with stress. Different things may work for different people, e.g. physical activity, therapy, meditation, engaging in your favorite hobbies, or spending time with supportive people [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Make sure you are getting enough quality sleep (7-8h), because sleep deficiency can increase inflammation in the body [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/18597046\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/17485874\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Quit smoking [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3245880/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Getting lots of fruits and vegetables in your diet can help decrease chronic inflammation [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3277099/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3001597/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/10479236/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6196889/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]. This is likely because veggies and fruits are rich in fiber and anti-inflammatory polyphenols. </span></p>",
"recommendations": [
"a151915e-4edf-41a6-bb75-6afbc6468118",
"43943338-5b80-402e-ba5b-85c0209efe9c",
"5e03fb9e-c5ea-4a34-9ed5-b0935f73fb86",
"f7e48b01-c1e0-49b3-9524-53d9377964fb",
"b69c7e79-e4a7-44c7-be92-d4fe260a78a4",
"e9d3a39e-042c-4bcc-87a0-70fa464c12aa",
"fbd401a3-447a-4b8b-aeb5-36556a673b07"
],
"tags": []
},
{
"id": "e1faffeb-5514-2256-d714-0c80e85476be",
"numeric_range": {
"lower": 2,
"upper": 3.8,
"bounds": "(]"
},
"titer": false,
"range_category_id": "46b78337-1cd3-42b2-9c9a-45dee8b2e9e0",
"range_condition_id": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"health_effects_title": "Bad below",
"health_effects_text": "<p><span style=\" \">Your white blood cell count is lower than normal.</span></p><p><br></p><p><span style=\" \">This may mean that your immune system doesn’t have adequate resources to properly fight against infections.</span></p><p><br></p><p><span style=\" \">Your doctor will interpret this test, taking into account your medical history and other test results. A result that is slightly low may not be of medical significance, as this test often varies from day to day and between people.</span></p><p><br></p><p><span style=\" \">A low WBC count can be caused by:</span></p><ul><li><span style=\" \">Malnutrition, due to a lack of vitamin B12 or folate. It can occur in conditions such as anorexia or alcoholism [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3027572/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.nejm.org/doi/full/10.1056/NEJM196707062770116\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3858928/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5054647/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/18213689\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/4701945\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/4051312\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Autoimmune disorders, such as lupus or Grave's disease [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3622805/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/26170228\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4663960/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Severe infections, such as infectious mononucleosis, typhoid fever, and HIV [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5025449/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/3615066\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/2285125\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/26173294\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Bone marrow disorders [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5060039/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Liver and spleen disease [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2702103/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/3418979\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4545534/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5363688/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5038876/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Certain drugs, such as antibiotics and antipsychotics [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/1575118\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/454076\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/3631764\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/17017894\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Cancer that causes bone marrow damage (e.g. Non-Hodgkin's lymphoma) [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/1991302\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Radiation and chemotherapy [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3070280/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/21750553\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/12660125\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Toxins such as PCBs (polychlorinated biphenyls), pesticides, and benzene [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4290093/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2089062/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3723784/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1568112/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/8833777\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">A rare genetic condition (benign familial leukopenia) [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/3181399\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li></ul><p><br></p><p><span style=\" \">Causes shown here are commonly associated with low WBC count. Work with your doctor or another health care professional to get an accurate diagnosis.</span></p>",
"suggestions": "<p><span style=\" \">The most important thing is to work with your doctor to find out what's causing your low WBC count and to treat any underlying conditions. The additional lifestyle changes listed below are other things you may want to discuss with your doctor. None of these strategies should ever be done in place of what your doctor recommends or prescribes!</span></p><p><br></p><p><span style=\" \">Keep your immune system running with a healthy lifestyle. Exercise, eat a healthy diet, and refrain from smoking and alcohol consumption. There is no specific diet proven to increase WBC production. However, it's important to get enough nutrients such as vitamin B12 and folate, needed to produce WBCs [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5054647/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3027572/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">When your WBC count is low, you may need to take steps to avoid infections. Proper hygiene, for example, can reduce your risk of infection [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3249958/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Speak to your doctor about the following supplements. Initial research suggests these supplements may boost the immune system, or prevent decreases of WBCs due to drugs or genetic disorders:</span></p><ul><li><span style=\" \">Echinacea [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/15985050\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/16177972\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><em style=\" \">Nigella sativa</em><span style=\" \"> seeds [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/28349493\" target=\"_blank\" style=\" \">R</a><span style=\" \">] </span></li><li><span style=\" \">Fermented wheat germ [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/15454833\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Folate [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/16380297\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Vitamin E [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/19066956\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li></ul><p><br></p><p><span style=\" \">Remember, always speak to your doctor before taking any supplements, because they may interfere with your treatment!</span></p>",
"recommendations": [
"a151915e-4edf-41a6-bb75-6afbc6468118",
"0b1a5a44-7d00-4ed6-8245-a55ceb21609e"
],
"tags": []
},
{
"id": "7ef58a5e-3e28-b1ea-f0d9-512b79f57e04",
"numeric_range": {
"lower": 10.5,
"upper": 40,
"bounds": "(]"
},
"titer": false,
"range_category_id": "8696dc98-eebd-404a-9321-0b6623627e1c",
"range_condition_id": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"health_effects_title": "Bad above",
"health_effects_text": "<p><span style=\" \">Your white blood cell levels are higher than normal!</span></p><p><br></p><p><em style=\" \">Y</em><span style=\" \">our doctor will interpret this test, taking into account your medical history and other tests results. A result that is slightly high may not be of medical significance, as this test often varies from day to day and from person to person. </span></p><p><br></p><p><span style=\" \">A high WBC count can be caused by:</span></p><ul><li><span style=\" \">Bacterial, viral, and other infections [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">] </span></li><li><span style=\" \">Inflammation and inflammatory disorders, such as rheumatoid arthritis and inflammatory bowel disease (IBD) [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/19078065\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3245880/\" target=\"_blank\" style=\" \">R</a><span style=\" \">] </span></li><li><span style=\" \">Allergies and asthma [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/13007418\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Physical and emotional stress [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Strenuous exercise [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC317276/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3905589/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Smoking [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/4070192\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Sleep deprivation [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/18597046\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/17485874\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Tissue damage due to injury or surgery [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672249/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/14972206\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/30609385\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/21461866\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Drugs, such as corticosteroids, lithium, and bronchodilators (beta agonists) [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Bone marrow disorders, such as leukemia [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3974953/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5030376/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1940291/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li><li><span style=\" \">Some hereditary disorders, such as sickle cell disease [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11399640\" target=\"_blank\" style=\" \">R</a><span style=\" \">]</span></li></ul><p><br></p><p><span style=\" \">Causes shown here are commonly associated with high WBC count. Work with your doctor or another health care professional to get an accurate diagnosis.</span></p><p><br></p><p><span style=\" \">Higher WBC count is associated with less than optimal health [</span><a href=\"http://www.sciencedirect.com/science/article/pii/S0735109707006870\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"http://www.ncbi.nlm.nih.gov/pubmed/17384446\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"http://diabetes.diabetesjournals.org/content/51/2/455\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Pregnant women normally have slightly higher white blood cell counts, which can spike shortly after delivery [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3422383/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">There are no symptoms directly associated with high blood cells. Instead, if you are experiencing any symptoms, they will be due to underlying disorders or diseases associated with your high white blood cell count.</span></p>",
"suggestions": "<p><span style=\" \">The most important thing is to work with your doctor to find out what's causing your high WBC count and to treat any underlying conditions, such as infections or inflammation. The additional lifestyle changes listed below are other things you may want to discuss with your doctor. None of these strategies should ever be done in place of what your doctor recommends or prescribes!</span></p><p><br></p><p><span style=\" \">Although strenuous exercise can increase WBC count in the short run, being physically active and getting more regular exercise (especially aerobic exercise) can help bring your WBC levels back down to a healthier range [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3281960/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Find ways to effectively cope with stress. Different things may work for different people, e.g. physical activity, therapy, meditation, engaging in your favorite hobbies, or spending time with supportive people [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/11087187\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Make sure you are getting enough quality sleep (7-8h), because sleep deficiency can increase inflammation in the body [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/18597046\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/17485874\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Quit smoking [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3245880/\" target=\"_blank\" style=\" \">R</a><span style=\" \">].</span></p><p><br></p><p><span style=\" \">Getting lots of fruits and vegetables in your diet can help decrease chronic inflammation [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3277099/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3001597/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/10479236/\" target=\"_blank\" style=\" \">R</a><span style=\" \">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6196889/\" target=\"_blank\" style=\" \">R</a><span style=\" \">]. This is likely because veggies and fruits are rich in fiber and anti-inflammatory polyphenols. </span></p>",
"recommendations": [
"a151915e-4edf-41a6-bb75-6afbc6468118",
"5e03fb9e-c5ea-4a34-9ed5-b0935f73fb86",
"f7e48b01-c1e0-49b3-9524-53d9377964fb",
"e9d3a39e-042c-4bcc-87a0-70fa464c12aa",
"43943338-5b80-402e-ba5b-85c0209efe9c",
"b69c7e79-e4a7-44c7-be92-d4fe260a78a4",
"fbd401a3-447a-4b8b-aeb5-36556a673b07"
],
"tags": []
}
]
As you may have noticed, the response above contains range_category_id fields. Each numeric range is associated with a range category, and range categories against a marker can be exclusively fetched by calling the GET /range-category/ endpoint.
Sample response against the WBC marker:
[
{
"id": "21cc7cc3-72db-4f96-95ff-e3c010bf0953",
"name": "Critical High",
"color": "red",
"description": ""
},
{
"id": "46b78337-1cd3-42b2-9c9a-45dee8b2e9e0",
"name": "Low",
"color": "orange",
"description": ""
},
{
"id": "5a2fe42a-e554-4f26-8c89-2034bd95bac9",
"name": "Supra-Optimal",
"color": "yellow",
"description": ""
},
{
"id": "8696dc98-eebd-404a-9321-0b6623627e1c",
"name": "High",
"color": "orange",
"description": ""
},
{
"id": "8a06bde4-c8aa-4eba-b3d7-0fcb52b228b3",
"name": "Critical Low",
"color": "red",
"description": ""
},
{
"id": "b87cd77f-d995-4d1d-997f-58780010be0e",
"name": "Optimal",
"color": "green",
"description": ""
}
]
5. Fetching recommendation details
As can be seen from the sample response in step 2, we retrieved recommendation IDs and recommendation slugs. These correspond to the set of recommendations based on our results.
To fetch the detailed recommendations against a marker, call the GET /recommendation/ endpoint. Recommendation details against WBC marker are as follows:
[
{
"id": "f7e48b01-c1e0-49b3-9524-53d9377964fb",
"slug": "avoid-cigarette-smoke",
"name": "Avoid Cigarette Smoke",
"summary": "",
"disclaimer": "",
"description": "<p><span style=\"color:#000000\">You already know that tobacco is not great for your health. </span><span style=\"color:#000000\"><strong>Smoking affects your entire body.</strong></span><span style=\"color:#000000\"> It can damage your brain, heart, lungs, and more [</span><a href=\"https://pubmed.ncbi.nlm.nih.gov/11980288/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">And even if you’re not a smoker, </span><span style=\"color:#000000\"><strong>secondhand smoke can cause health issues similar to smoking </strong></span><span style=\"color:#000000\">[</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4595077/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2553398/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">But, there’s good news: </span><span style=\"color:#000000\"><strong>avoiding cigarette smoke can reverse many of its negative effects</strong></span><span style=\"color:#000000\">. It’s a great way to dramatically improve your health [</span><a href=\"https://www.ncbi.nlm.nih.gov/books/NBK555590/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>",
"how_it_helps_title": "How Avoiding Cigarette Smoke Helps with High WBCs",
"how_it_helps_text": "<p><span style=\"color:#000000\">Smoking has been shown to elevate a person’s WBC count in several large, high-quality studies. Even small amounts of tobacco use were associated with an increase in white blood cell count. Fortunately, quitting tobacco use can help decrease WBC levels. Studies have shown that eliminating tobacco use resulted in a significant decline in elevated white blood cells in as short as 3 days [</span><a href=\"https://www.ncbi.nlm.nih.gov/labs/pmc/articles/PMC4995538/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/30866659/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/20394790/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>\r\n\r\n<p> </p>",
"recommendation_type": "lifestyle",
"context": "lab",
"is_avoidance_recommendation": true,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "fbd401a3-447a-4b8b-aeb5-36556a673b07",
"slug": "pay-attention-hygiene",
"name": "Pay Attention To Hygiene",
"summary": "",
"disclaimer": "",
"description": "<p><span style=\"color:#000000\">Hygiene is the </span><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">conditions or practices (as of cleanliness) conducive to health [</span></span><a href=\"https://www.merriam-webster.com/dictionary/hygiene\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><span style=\"background-color:#ffffff\"><u>R</u></span></span></a><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">]. It is useful for limiting the spread of bacteria and germs. There are a number of ways in which this can be applied, including the following [</span></span><a href=\"https://www.healthline.com/health/personal-hygiene#types\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><span style=\"background-color:#ffffff\"><u>R</u></span></span></a><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">]:</span></span></p>\r\n\r\n<ul>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">Toilet</span></span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">Shower</span></span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">Nails</span></span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">Teeth</span></span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">Sickness</span></span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#303336\"><span style=\"background-color:#ffffff\">Hands</span></span></li>\r\n</ul>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\"><span style=\"background-color:#ffffff\">Hand hygiene is one of the most important elements for preventing infections [</span></span><a href=\"https://www.ncbi.nlm.nih.gov/labs/pmc/articles/PMC3249958/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u><span style=\"background-color:#ffffff\">R</span></u></span></a><span style=\"color:#000000\"><span style=\"background-color:#ffffff\">].</span></span></p>\r\n\r\n<p> </p>",
"how_it_helps_title": "How Hygiene Helps with High WBCs",
"how_it_helps_text": "<p><span style=\"color:#000000\">Infections are a common cause of elevated WBC. Proper hygiene, including hand hygiene, is important to preventing infections in the respiratory and GI tract [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3249958/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>\r\n\r\n<p> </p>",
"recommendation_type": "lifestyle",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "e9d3a39e-042c-4bcc-87a0-70fa464c12aa",
"slug": "maintain-healthy-body-weight",
"name": "Maintain A Healthy Body Weight",
"summary": "Try to maintain a healthy body weight.",
"disclaimer": "",
"description": "<p><span style=\"color:#000000\"><strong>People have a healthy weight when they don't have too much or too little body fat </strong></span><span style=\"color:#000000\">[</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2082845/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\"><em>Body mass index </em></span><span style=\"color:#000000\">(BMI) can help determine body fat levels. Your BMI is your mass (in kg) divided by the square of your height (in meters) [</span><a href=\"https://www.cdc.gov/healthyweight/assessing/bmi/index.html\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">In general [</span><a href=\"https://www.cdc.gov/healthyweight/assessing/bmi/adult_bmi/index.html\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]:</span></p>\r\n\r\n<ul>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">People with a BMI </span><span style=\"color:#000000\"><strong>between 18.5 and 25</strong></span><span style=\"color:#000000\"> tend to have a </span><span style=\"color:#000000\"><strong>healthy weight</strong></span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">People with a BMI</span><span style=\"color:#000000\"><strong> between 25 and 30 </strong></span><span style=\"color:#000000\">tend to be </span><span style=\"color:#000000\"><strong>overweight</strong></span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">People with a BMI </span><span style=\"color:#000000\"><strong>over 30 </strong></span><span style=\"color:#000000\">tend to be </span><span style=\"color:#000000\"><strong>obese</strong></span></li>\r\n</ul>\r\n\r\n<p><span style=\"color:#000000\">People who are overweight or obese are more likely to have [</span><a href=\"https://www.mayoclinic.org/diseases-conditions/obesity/symptoms-causes/syc-20375742\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2879283/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]:</span></p>\r\n\r\n<ul>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">High blood pressure</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Type 2 diabetes</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Heart disease</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Joint problems</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Sleep problems</span></li>\r\n</ul>\r\n\r\n<p><span style=\"color:#000000\"><strong>The best ways to lose weight are to consume fewer calories and exercise regularly</strong></span><span style=\"color:#000000\"> [</span><a href=\"https://www.mayoclinic.org/diseases-conditions/obesity/diagnosis-treatment/drc-20375749\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>",
"how_it_helps_title": "How Maintaining a Healthy Body Weight Affects WBCs",
"how_it_helps_text": "<p><span style=\"color:#000000\">Elevated body weight is associated with systemic inflammation. Studies have demonstrated that people without any other risk factors other than obesity have an increased white blood cell count. In one study, overweight people had elevated white blood cell counts after being observed for four years [</span><a href=\"https://pubmed.ncbi.nlm.nih.gov/15955385/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/33270290/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/16696775/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>",
"recommendation_type": "lifestyle",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "5e03fb9e-c5ea-4a34-9ed5-b0935f73fb86",
"slug": "exercise",
"name": "Exercise",
"summary": "Exercise regularly",
"disclaimer": "",
"description": "<p><a href=\"https://selfhacked.com/blog/top-14-proven-health-benefits-exercise-references-mechanisms/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><strong><u>Exercise</u></strong></span></a><span style=\"color:#000000\"><strong> can do wonders for your health.</strong></span><span style=\"color:#000000\"> It can help you lose weight, improve your heart health, boost your mood, and more [</span><a href=\"https://medlineplus.gov/benefitsofexercise.html\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">There are many ways you can be active. You can walk, run, swim, dance, or play team sports. </span><span style=\"color:#000000\"><strong>Everything counts, and it's never too late to start!</strong></span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">Try getting a mix of cardio (at least 150 min/week) and strength training (2 times/week) [</span><a href=\"https://health.gov/sites/default/files/2019-09/Physical_Activity_Guidelines_2nd_edition.pdf#page=56\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>",
"how_it_helps_title": "How Exercise Helps with High WBCs",
"how_it_helps_text": "<p><span style=\"color:#000000\">Although strenuous exercise can increase WBC count in the short run, being physically active and getting more regular exercise (especially aerobic exercise) can help bring your WBC levels back down to a healthier range. Aerobic exercise over time reduces inflammation, which can have a positive effect on your elevated WBC count [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3281960/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">One study showed that women that exercised on an exercise bike for six weeks had significantly decreased amounts of white blood cells. Other studies have shown that consistent exercise for a week is enough to start decreasing white blood cell count [</span><a href=\"https://pubmed.ncbi.nlm.nih.gov/20145432/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/8739575/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>",
"recommendation_type": "lifestyle",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "43943338-5b80-402e-ba5b-85c0209efe9c",
"slug": "optimize-sleep",
"name": "Optimize Sleep",
"summary": "Try to get 7-8 hours of good-quality sleep every night.",
"disclaimer": "",
"description": "<p><a href=\"https://selfhacked.com/blog/health-benefits-sleep/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><strong><u>Sleep</u></strong></span></a><span style=\"color:#000000\"><strong> supports your body and mind</strong></span><span style=\"color:#000000\">. It helps:</span></p>\r\n\r\n<ul>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Support brain health [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3880190/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/24136944/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Maintain a healthy weight and appetite [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/24892893\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4394987/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC535701/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Regulate blood pressure [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/16585410/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2845795/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Balance blood sugar [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3767932/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2927933/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]</span></li>\r\n</ul>\r\n\r\n<p><span style=\"color:#000000\">Ways to sleep better include [</span><a href=\"https://www.mayoclinic.org/healthy-lifestyle/adult-health/in-depth/sleep/art-20048379\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]:</span></p>\r\n\r\n<ul>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Reducing your bright light exposure (screen time) in the evenings</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Sticking to a regular sleep schedule</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Avoiding hunger or large meals before bed</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Avoiding nicotine, caffeine, and alcohol before bed</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Maintaining a sleep area that’s cool, dark, and quiet </span></li>\r\n</ul>",
"how_it_helps_title": "How Sleep Helps with High WBCs",
"how_it_helps_text": "<p><span style=\"color:#000000\">Make sure you are getting enough quality sleep (7-8h). Studies have shown that sleep deficiency can increase inflammation and the number of white blood cells in the body. Studies that purposely caused sleep deprivation in healthy people showed that decreasing sleep led to an increase in all subtypes of WBC. This occurred in as short as one week of poor sleep [</span><a href=\"https://pubmed.ncbi.nlm.nih.gov/19337560/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/25451611/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">Recovery sleep produced a decrease in elevated white blood cell numbers in a week. Even people that felt that simply reported subjective low-quality sleep had an elevation in their WBC count [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/18597046\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/17485874\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>",
"recommendation_type": "lifestyle",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "ae504601-aabb-4d9a-8a65-0f54a59d06ac",
"slug": "medical-attention",
"name": "Medical Attention",
"summary": "",
"disclaimer": "",
"description": "<p>Seek medical attention as soon as possible!</p>",
"how_it_helps_title": "",
"how_it_helps_text": "",
"recommendation_type": "info",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "0b1a5a44-7d00-4ed6-8245-a55ceb21609e",
"slug": "limit-alcohol-intake",
"name": "Limit Alcohol Intake",
"summary": "Consider drinking less alcohol.",
"disclaimer": "",
"description": "<p><span style=\"color:#000000\">Many people drink alcohol in their free time. They like it because it temporarily improves their mood and mental state [</span><a href=\"https://pubmed.ncbi.nlm.nih.gov/4053968/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\"><strong>Experts agree that having 1-2 drinks per day likely won’t cause harm. However, heavy drinking is bad for your health </strong></span><span style=\"color:#000000\">[</span><a href=\"https://www.mayoclinic.org/healthy-lifestyle/nutrition-and-healthy-eating/in-depth/alcohol/art-20044551\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">Low-moderate alcohol consumption is usually defined as [</span><a href=\"https://www.mayoclinic.org/healthy-lifestyle/nutrition-and-healthy-eating/in-depth/alcohol/art-20044551\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3043110/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/26916878/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]:</span></p>\r\n\r\n<ul>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\"><strong>Women</strong></span><span style=\"color:#000000\">: up to 1 drink per day</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\"><strong>Men</strong></span><span style=\"color:#000000\">: up to 2 drinks per day</span></li>\r\n</ul>",
"how_it_helps_title": "How Reducing Alcohol Helps with Low WBCs",
"how_it_helps_text": "<p><span style=\"color:#000000\">Limit your alcohol consumption. Alcohol use has been shown to be associated with leukopenia, or a decreased number of white blood cells. Alcohol interferes with the production of white blood cells by injuring the tissues that produce white blood cells. Heavy drinking can decrease your WBC levels and decrease the body's defences against infection [</span><a href=\"https://www.ncbi.nlm.nih.gov/labs/pmc/articles/PMC6826798/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/30831129/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">].</span></p>\r\n\r\n<p> </p>",
"recommendation_type": "lifestyle",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "bf915bfd-2d9f-4f5a-9b69-259896791aa2",
"slug": "talk-to-your-doctor-about-above-normal-WBC-levels",
"name": "Work With Your Doctor",
"summary": "",
"disclaimer": "",
"description": "<p><span style=\"color:#000000\">Work with your doctor to address any underlying conditions. Discuss the additional lifestyle changes listed below with your doctor. None of these strategies should ever be done in place of what your doctor recommends or prescribes!</span></p>",
"how_it_helps_title": "",
"how_it_helps_text": "",
"recommendation_type": "info",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "c77ce8b7-b1fd-4472-bed9-3e1f1fc64bbd",
"slug": "talk-to-your-doctor-about-high-WBC-levels",
"name": "Work With Your Doctor",
"summary": "",
"disclaimer": "",
"description": "<p><span style=\"color:#000000\">The most important thing is to work with your doctor to find out what's causing your high WBC count and to treat any underlying conditions. The additional lifestyle changes listed below are other things you may want to discuss with your doctor. None of these strategies should ever be done in place of what your doctor recommends or prescribes!</span></p>",
"how_it_helps_title": "",
"how_it_helps_text": "",
"recommendation_type": "info",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "a151915e-4edf-41a6-bb75-6afbc6468118",
"slug": "talk-to-your-doctor-about-low-WBC-levels",
"name": "Work With Your Doctor",
"summary": "",
"disclaimer": "",
"description": "<p><span style=\"color:#000000\">Your lab tests show that your white blood cell count is low. The most important thing is to work with your doctor to find out what's causing your low WBC count and to treat any underlying conditions. The additional lifestyle changes listed below are other things you may want to discuss with your doctor. None of these strategies should ever be done in place of what your doctor recommends or prescribes!</span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"color:#000000\">Sometimes, medications and treatments can cause a low white blood cell count. If you take one of these medications, consider discussing it with your physician. An alternative may exist!</span></p>\r\n\r\n<ul>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Antibiotics such as penicillin and cephalosporins [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/454076\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span><span style=\"color:#000000\">]</span></a></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">Antipsychotics like clozapine or carbamazepine [</span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/17017894\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]</span></li>\r\n\t<li style=\"list-style-type:disc\"><span style=\"color:#000000\">A burn medication called silver sulfadiazine </span><span style=\"color:#1155cc\"><u>[</u></span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/3631764\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span><span style=\"color:#000000\">]</span></a></li>\r\n</ul>\r\n\r\n<p><span style=\"color:#000000\">Radiation and chemotherapy [</span><a href=\"https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3070280/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/21750553\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/12660125\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]</span></p>",
"how_it_helps_title": "",
"how_it_helps_text": "",
"recommendation_type": "info",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
},
{
"id": "b69c7e79-e4a7-44c7-be92-d4fe260a78a4",
"slug": "vegetables",
"name": "Vegetables",
"summary": "Incorporate more vegetables into your diet.",
"disclaimer": "",
"description": "<p><span style=\"color:#1a1a1a\"><span style=\"background-color:#ffffff\">Vegetables are the fresh edible portions of certain plants—roots, stems, leaves, flowers, fruit, or seeds. Somes examples would be carrots, squash, spinach, and broccoli. They are a naturally occurring food source eaten for their vitamins, minerals, fiber, antioxidants, and hundreds of other compounds that help nourish and protect the body in a number of ways [</span></span><a href=\"https://www.britannica.com/topic/vegetable\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><span style=\"background-color:#ffffff\"><u>R</u></span></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.hsph.harvard.edu/nutritionsource/what-should-you-eat/vegetables-and-fruits/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><span style=\"background-color:#ffffff\"><u>R</u></span></span></a><span style=\"color:#1a1a1a\"><span style=\"background-color:#ffffff\">].</span></span></p>\r\n\r\n<p> </p>",
"how_it_helps_title": "How Vegetables Help With High WBCs",
"how_it_helps_text": "<p><span style=\"color:#000000\">High amounts of vegetables in your diet can help decrease chronic inflammation. One large, recent study showed that people with habitual vegetable intake had lower white blood cell counts and a healthier gut microbiome. Studies that compared vegans to non-vegetarians showed that vegans had significantly lower white blood cell counts [</span><a href=\"https://pubmed.ncbi.nlm.nih.gov/33568158/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, </span><a href=\"https://www.ncbi.nlm.nih.gov/pubmed/10479236/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>\r\n\r\n<p><br />\r\n<span style=\"color:#000000\">The positive effect of vegetables on white blood cell counts may be secondary to nitric oxide, a compound found in vegetables that is felt to reduce inflammation. Vegetables may be better than fruits for reducing inflammation and white blood cell count because of the lower amount of dietary sugar </span><a href=\"https://pubmed.ncbi.nlm.nih.gov/31150091/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">, [</span><a href=\"https://pubmed.ncbi.nlm.nih.gov/28711418/\" style=\"text-decoration:none\"><span style=\"color:#1155cc\"><u>R</u></span></a><span style=\"color:#000000\">]. </span></p>",
"recommendation_type": "dietary",
"context": "lab",
"is_avoidance_recommendation": false,
"is_treatment": false,
"is_prevention": false,
"default_frequency_value": null,
"default_frequency_unit": null,
"default_duration_value": null,
"default_duration_unit": null,
"marker_id": "48f165d5-7b00-c7f4-781e-f86f5c8cc1ab",
"marker_name": "WBC",
"conflicting_slugs": []
}
]
6. What about discrete markers?
In all the above examples, we have talked about numeric markers and their related endpoints. What if you want to analyze discrete markers? Some of the endpoints like recommendations endpoint and range category endpoints are the same for both numeric and discrete markers. However, the endpoint for discrete-range would be different. To fetch the discrete ranges against a discrete marker, call the GET /discrete-range/ endpoint instead of the numeric range endpoint.
7. More details
For more details, you can explore the Labs Service API documentation.
